#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define			sname	%(echo %{name} | cut -d '-' -f2-3)
#-----------------------------------------------------------------------------
Name		:	telepathy-logger
Version		:	0.8.2
Release		:	14.4.0.0%{?dist}
Summary		:	Telepathy framework logging daemon
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://telepathy.freedesktop.org/releases/telepathy-logger

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
Buildrequires	:	gobject-introspection
Buildrequires	:	gtk-doc
Buildrequires	:	python2
Buildrequires	:	sqlite
Buildrequires	:	telepathy-glib

Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{name}' is a headless Observer client that logs information
received by the Telepathy framework. It features pluggable
backends to log different sorts of messages, in different formats.

#-----------------------------------------------------------------------------
%prep
%setup -q

sed -i							\
  -e "s@/apps/@/org/freedesktop/@"			\
  data/org.freedesktop.Telepathy.Logger.gschema.xml.in

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
export PYTHON=/usr/bin/python2
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-schemas-compile			\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%{_includedir}/%{name}-0.2/%{name}/*.h
%{_libexecdir}/%{name}
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}-0.2.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.*.service
%{_datadir}/glib-2.0/schemas/org.freedesktop.Telepathy.Logger.gschema.xml
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/*.devhelp2
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gtk-doc/html/%{name}/index.sgml
%{_datadir}/telepathy/clients/Logger.client
#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  fi
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null

#-----------------------------------------------------------------------------
%changelog
